%define upstream_name    HTML-Scrubber
%define upstream_version 0.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl extension for scrubbing/sanitizing html 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(English)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(HTML::Parser)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(vars)
BuildArch:  noarch

%description
If you wanna "scrub" or "sanitize" html input in a reliable and flexible 
fashion, then this perl module is for you.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes INSTALL LICENSE META.json META.yml README
%{perl_vendorlib}/HTML
%{_mandir}/man3/*

%changelog
* Sun Apr 03 2011 jquelin <jquelin> 0.90.0-1.mga1
+ Revision: 80082
- update to 0.09

* Thu Jan 13 2011 jquelin <jquelin> 0.80.0-1.mga1
+ Revision: 11902
- imported package perl-HTML-Scrubber


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.80.0-1mdv2010.0
+ Revision: 406062
- rebuild using %%perl_convert_version

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.08-7mdv2009.0
+ Revision: 241477
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Sep 03 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.08-5mdv2008.0
+ Revision: 78778
- spec cleanup

* Thu Jun 21 2007 Michael Scherer <misc@mandriva.org> 0.08-4mdv2008.0
+ Revision: 41990
- rebuild


* Wed Dec 28 2005 Michael Scherer <misc@mandriva.org> 0.08-3mdk
- Do not ship empty dir

* Mon Oct 10 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.08-2mdk
- Fix BuildRequires

* Sat Oct 01 2005 Michael Scherer <misc@mandriva.org> 0.08-1mdk
- First mandriva package

